LineRecordReader (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class LineRecordReader

    java.lang.Object
      org.apache.hadoop.mapred.LineRecordReader

All Implemented Interfaces:
  RecordReader<LongWritable,Text>

Deprecated. Use `LineRecordReader` instead.

    @Deprecated
    public class LineRecordReader

extends Object
implements RecordReader<LongWritable,Text>

Treats keys as offset in file and value as line.

Nested Class Summary
`static class` | `LineRecordReader.LineReader` Deprecated. Use `LineReader` instead.

Constructor Summary
`LineRecordReader(Configuration job, FileSplit split)` Deprecated.
`LineRecordReader(InputStream in, long offset, long endOffset, Configuration job)` Deprecated.
`LineRecordReader(InputStream in, long offset, long endOffset, int maxLineLength)` Deprecated.

Method Summary
`void` | `close()` Deprecated. Close this `InputSplit` to future operations.
`LongWritable` | `createKey()` Deprecated. Create an object of the appropriate type to be used as a key.
`Text` | `createValue()` Deprecated. Create an object of the appropriate type to be used as a value.
`long` | `getPos()` Deprecated. Returns the current position in the input.
`float` | `getProgress()` Deprecated. Get the progress within the split
`boolean` | `next(LongWritable key, Text value)` Deprecated. Read a line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineRecordReader

    public LineRecordReader(Configuration job,
                            FileSplit split)
                     throws IOException

  Deprecated.
  Throws:
    `IOException`

### LineRecordReader

    public LineRecordReader(InputStream in,
                            long offset,
                            long endOffset,
                            int maxLineLength)

  Deprecated.

### LineRecordReader

    public LineRecordReader(InputStream in,
                            long offset,
                            long endOffset,
                            Configuration job)
                     throws IOException

  Deprecated.
  Throws:
    `IOException`

Method Detail

### createKey

    public LongWritable createKey()

  Deprecated.
  Description copied from interface: `RecordReader`
  Create an object of the appropriate type to be used as a key.

  Specified by:
    `createKey` in interface `RecordReader<LongWritable,Text>`
  Returns:
    a new key object.

### createValue

    public Text createValue()

  Deprecated.
  Description copied from interface: `RecordReader`
  Create an object of the appropriate type to be used as a value.

  Specified by:
    `createValue` in interface `RecordReader<LongWritable,Text>`
  Returns:
    a new value object.

### next

    public boolean next(LongWritable key,
                        Text value)
                 throws IOException

  Deprecated.
  Read a line.

  Specified by:
    `next` in interface `RecordReader<LongWritable,Text>`
  Parameters:
    `key` - the key to read data into
    `value` - the value to read data into
  Returns:
    true iff a key/value was read, false if at EOF
  Throws:
    `IOException`

### getProgress

    public float getProgress()

  Deprecated.
  Get the progress within the split

  Specified by:
    `getProgress` in interface `RecordReader<LongWritable,Text>`
  Returns:
    progress from `0.0` to `1.0`.

### getPos

    public long getPos()
                throws IOException

  Deprecated.
  Description copied from interface: `RecordReader`
  Returns the current position in the input.

  Specified by:
    `getPos` in interface `RecordReader<LongWritable,Text>`
  Returns:
    the current position in the input.
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Deprecated.
  Description copied from interface: `RecordReader`
  Close this `InputSplit` to future operations.

  Specified by:
    `close` in interface `RecordReader<LongWritable,Text>`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation